%define upstream_name    Dist-Zilla-Plugin-Covenant
%define upstream_version 0.1.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Add the author's pledge to the distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
'Dist::Zilla::Plugin::Covenant' adds the file '_AUTHOR_PLEDGE_' to the
distribution. The author as defined in _dist.ini_ is taken as being the
pledgee.

The _META_ file of the distribution is also modified to include a
_x_author_pledge_ stanza.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE SIGNATURE INSTALL META.json META.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.2-6.mga10
+ Revision: 2203590
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.1.2-5.mga9
+ Revision: 1808910
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-4.mga8
+ Revision: 1503988
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.2-3.mga7
+ Revision: 1283004
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.1.2-2.mga7
+ Revision: 1164143
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 sander85 <sander85> 0.1.2-1.mga7
+ Revision: 1159764
- update to 0.1.2

* Sun Jun 19 2016 pterjan <pterjan> 0.1.1-3.mga6
+ Revision: 1026192
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.1.1-2.mga6
+ Revision: 966068
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 0.1.1-1.mga6
+ Revision: 840127
- update to 0.1.1

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 748956
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 511065
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 267216
- imported package perl-Dist-Zilla-Plugin-Covenant


* Wed Jul 04 2012 cpan2dist 0.1.0-1mga
- initial mageia release, generated with cpan2dist
